# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "artifact-keeper-client"
version = "1.4.2"
authors = ["OpenAPI Generator team and contributors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust client for the Artifact Keeper REST API"
homepage = "https://github.com/artifact-keeper/artifact-keeper-api"
readme = "README.md"
license = "MIT"
repository = "https://github.com/artifact-keeper/artifact-keeper-api"

[lib]
name = "artifact_keeper_client"
path = "src/lib.rs"

[dependencies.reqwest]
version = "^0.12"
features = [
    "json",
    "multipart",
]

[dependencies.serde]
version = "^1.0"
features = ["derive"]

[dependencies.serde_json]
version = "^1.0"

[dependencies.serde_repr]
version = "^0.1"

[dependencies.serde_with]
version = "^3.8"
features = [
    "base64",
    "std",
    "macros",
]
default-features = false

[dependencies.url]
version = "^2.5"

[dependencies.uuid]
version = "^1.8"
features = [
    "serde",
    "v4",
]
